#! /usr/bin/python
from PIL import Image
from PIL import ImageChops
import urllib
import time
import datetime

crop_region_lst = [ (0, 72, 320, 95), (0, 100, 320, 130), (0, 145, 320, 220) ]
img_url = "http://143.106.86.172:8080/cam_1.jpg"
csv_dir = "csv/"
sleep_time = 30
histogram_th = 40

def threshold(color) :
	if color < histogram_th :
		return 0
	return 255

img1 = Image.open(urllib.urlretrieve(img_url)[0]).convert("L")

while True :
    time.sleep(sleep_time)
    try :
	    img2 = Image.open(urllib.urlretrieve(img_url)[0]).convert("L")
    except:
	    img2 = img1
    data = time.strftime('%X')
    for crop_region in crop_region_lst :	    
#	    img1.crop(crop_region).show()	    
	    img_diff = ImageChops.difference(img1.crop(crop_region),img2.crop(crop_region))
#	    img_diff.show()
	    t = img_diff.point(threshold)
#	    t.show()
	    r = t.histogram()[255]
	    data = data  + ";" + str(r)
					      
    img1 = img2
    
    today = datetime.date.today()
    try :
	    csv_file = open( csv_dir + str(today) + ".csv", "a" )
	    csv_file.write( data + "\n" )
	    csv_file.close()
    except:
	    print "Erro abrindo arquivo"
